Bug 165659 - Review Request: perl-Test-LongString
Review Request: perl-Test-LongString
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Test-Long...
:
Depends On:
Blocks: FE-ACCEPT 165906
  Show dependency treegraph
 
Reported: 2005-08-11 05:14 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 21:48:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-11 05:14:32 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-LongString.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Test-LongString-0.08-1.src.rpm

Description:
This module provides some drop-in replacements for the string comparison
functions of Test::More, but which are more suitable when you test against
long strings. If you've ever had to search for text in a multi-line string
like an HTML document, or find specific items in binary data, this is the
module for you.
Comment 1 Paul Howarth 2005-08-19 07:55:44 EDT
Review:

- rpmlint clean
- package and spec file naming is OK
- package meets guidelines
- license is same as perl
- spec file written in English and is legible
- source matches upstream
- builds OK on FC4 and in mock for devel
- BR's OK
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime

Nitpick:

- BR: perl is redundant
- find of empty .bs files is redundant

These can be fixed post-import.

Comment:

- I think "A library to test long strings" would be a better summary than
  "Tests strings for equality"

Approved.

Note You need to log in before you can comment on or make changes to this bug.